#!/usr/local/bin/perl

# mkdir-p.pl

# On some systems, the -p option to mkdir (= also create any missing parent
# directories) is not available.

my $arg;


foreach $arg (@ARGV) {
  $arg =~ tr|\\|/|;
  &do_mkdir_p($arg);
}


sub do_mkdir_p {
  local($dir) = @_;
	use Cwd qw();
	my $path = Cwd::cwd();
	print "openssl-1.0.2n - inside do_mkdir_p $path\n";

  $dir =~ s|/*\Z(?!\n)||s;

  if (-d $dir) {
    print "openssl-1.0.2n created directory `$dir' exists, not creating\n";
    return;
  }

  if ($dir =~ m|[^/]/|s) {
    local($parent) = $dir;
    $parent =~ s|[^/]*\Z(?!\n)||s;

    do_mkdir_p($parent);
  }

  mkdir($dir, 0777) || die "Cannot create directory $dir: $!\n";
  print "created directory `$dir'\n";
}
